extern int    PeriodMA                 = 13;
extern int    BarLeftArrow             = 600;   //    
extern bool   DelArrow                 = false; //    
extern int    ArrowCode                = 108;   //    
extern color  ArrowColor               = Aqua;  //     
extern int    PaintBar                 = 1;     //   

string indicator_name;

int init() 
   {
   indicator_name= WindowExpertName();
   Comment("");
   }
int deinit()
   {
   if(DelArrow)Del_comment2(indicator_name,0); //       
   Comment("");   
   return(0);
   }
//+------------------------------------------------------------------+
//| Start function                                                   |
//+------------------------------------------------------------------+
void start()
  {
   double ma=iMA(NULL,0,PeriodMA,0,MODE_EMA,PRICE_CLOSE,PaintBar);     //  
   SetArrowName(indicator_name,Time[PaintBar],ma,ArrowCode,ArrowColor);//      
   Del_comment2(indicator_name,BarLeftArrow);                          //     BarLeftArrow
   WindowRedraw();      
  }

//+----------------------------------------------------------------------------------------+
//|                                                                |
//| Void SetArrowName  :SetArrowName(IndicatorName,Time[i],Low[i]-15*Point,241,Blue);|
//+----------------------------------------------------------------------------------------+
void SetArrowName(string IndicatorName, datetime ArrowTime, double Price, double ArrowCode, color ArrowColor)
   {
   int err;
 
   string ArrowName = IndicatorName+DoubleToStr(ArrowTime,0);
   if (ObjectFind(ArrowName) != -1) ObjectDelete(ArrowName);
   if(!ObjectCreate(ArrowName, OBJ_ARROW, 0, ArrowTime, Price))
    {
      err=GetLastError();
      Print("error: can't create Arrow! code #",err);
      return;
    }
   else
   {
     ObjectSet(ArrowName, OBJPROP_ARROWCODE, ArrowCode);
     ObjectSet(ArrowName, OBJPROP_COLOR , ArrowColor);
     ObjectsRedraw();
   }
   }    
//+------------------------------------------------------------------------+
//|       SubString    | 
//|   BarLeft                                    |
//+------------------------------------------------------------------------+
void Del_comment2(string SubString,int BarLeft )
   {
   int    obj_total=ObjectsTotal();
   string name;
   for(int i=obj_total+1;i>-1;i--){//  
     name=ObjectName(i);   
     if(StringFind( name,SubString,0)>-1 && BarLeft<1) ObjectDelete(name);//!
     if(StringLen(name)>0)    
         if(BarLeft>1 && i<(obj_total-BarLeft)) ObjectDelete(name);   
   }
   return;
   }      

